/////////////////////////////////////////////////////////////////////////////
//
//   Copyright (C) CADBAS GmbH   All rights reserved.
//
//   Name         $Author$
//   Last change  $Date$
//   Tag          $Name$
//   Repository   $Source$
//   Version      $Revision$
//
/////////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------
// System-Includes
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Qt-Includes
//---------------------------------------------------------------------------
#include <QApplication>
#include <QByteArray>
#include <QHeaderView>
#include <QKeyEvent>
#include <QStandardItemModel>

//---------------------------------------------------------------------------
// CADBAS-Includes
//---------------------------------------------------------------------------
#include <menu_associated_classes.hpp>
#include <menu_multiple_columns_tree_view.hpp>
#include <menu_widget_action.hpp>

//---------------------------------------------------------------------------
// Defines
//---------------------------------------------------------------------------


//===========================================================================
const QString Cmenu_associated_classes::_class_name = "Cmenu_associated_classes";

//---------------------------------------------------------------------------
// public features
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
Cmenu_associated_classes::Cmenu_associated_classes (QWidget *parent)
                      : QMenu(parent)
{
   _tree_view = 0;
   
   create();

} // Konstruktor


//---------------------------------------------------------------------------
Cmenu_associated_classes::~Cmenu_associated_classes ()
{

} // Destruktor
//---------------------------------------------------------------------------
// protected features
//---------------------------------------------------------------------------

bool Cmenu_associated_classes::create()
{
   bool result = false;

   QString tooltip1 = "<html><body><span style='white-space: nowrap;'>Tooltip 1</span> \
                       <br> \
                       <span style='white-space: nowrap;'>&nbsp;&nbsp;&nbsp;Next line Tooltip 1</span>  \
                       <br>  \
                       <span style='white-space: nowrap;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Next line Tooltip 1</span> \
                       </body></html>";
                       
   QString tooltip2 = "<html><body><span style='white-space: nowrap;'>Tooltip 2</span> \
                       <br> \
                       <span style='white-space: nowrap;'>&nbsp;&nbsp;&nbsp;Next line Tooltip 2</span>  \
                       <br>  \
                       <span style='white-space: nowrap;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Next line Tooltip 2</span> \
                       </body></html>";
                       
   QString tooltip3 = "<html><body><span style='white-space: nowrap;'>Tooltip 3</span> \
                       <br> \
                       <span style='white-space: nowrap;'>&nbsp;&nbsp;&nbsp;Next line Tooltip 3</span>  \
                       <br>  \
                       <span style='white-space: nowrap;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Next line Tooltip 3</span> \
                       </body></html>";
   clear();

   QStandardItem *item = 0;
   
   // Widget-Action erzeugen
   _menu_widget_action = new Cmenu_widget_action(this);
   _menu_widget_action->make(3, 3);

   // Treeview holen
   Cmenu_multiple_columns_tree_view *tree_view  = _menu_widget_action->get_tree_view();

   // Model holen
   QStandardItemModel *standard_item_model = (QStandardItemModel *)tree_view->model();


     // Schleife ueber Anzeil Actions
     for (int i = 0; i < 3; i++)
     {
        item = new QStandardItem("This is text 0 in column 0");
        item->setToolTip(tooltip1);
        standard_item_model->setItem(i,0,item);

        item = new QStandardItem("This is text 1 in column 1");
        item->setToolTip(tooltip2);
        standard_item_model->setItem(i,1,item);
        
        item = new QStandardItem("This is text 2 in column 2");
        item->setToolTip(tooltip3);
        standard_item_model->setItem(i,2,item);

     } // end_for

     // Treeview-Groesse optimieren
     _menu_widget_action->resize_tree_view();
     
     addAction(_menu_widget_action);


   return result;

} // create

//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// private features
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// protected slots
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// End of menu_associated_classes.cpp
