/////////////////////////////////////////////////////////////////////////////
//
//   Copyright (C) CADBAS GmbH   All rights reserved.
//
//   Name         $Author$
//   Last change  $Date$
//   Tag          $Name$
//   Repository   $Source$
//   Version      $Revision$
//
/////////////////////////////////////////////////////////////////////////////

#ifndef Dmenu_associated_classes_h
#define Dmenu_associated_classes_h

//---------------------------------------------------------------------------
// Qt-Includes
//---------------------------------------------------------------------------
#include <QMenu>

//---------------------------------------------------------------------------
// CADBAS-Includes
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Defines
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// class-Statements
//---------------------------------------------------------------------------
class Caction;
class Caction_group;
class Cmenu_multiple_columns_tree_view;
class Cmenu_widget_action;
//===========================================================================
//! Menue mit Eintraegen fuer Action "Zur Klasse"
/*! Dieses Menue enthaelt einen mehrspaltigen TreeView, in dem das Klassenicon,
    Klassifikationsicon und -text und den Klassennamen anzeigt
*/
//---------------------------------------------------------------------------
class Cmenu_associated_classes : public QMenu
{
    Q_OBJECT
   //------------------------------------------------------------------------
   // variables
   //------------------------------------------------------------------------
   public:
   //------------------------------------------------------------------------

   //------------------------------------------------------------------------
   protected:
   //------------------------------------------------------------------------
   bool     _data_load_complete;
   //!< Kennung 'Aktionsdaten sind geladen'

   Cmenu_multiple_columns_tree_view *_tree_view;
   //!< View, in dem die Eintraege angezeigt werden

   Cmenu_widget_action *_menu_widget_action;
   //!< Action, die dem Menu gesetzt wird und den Treeview enthaelt

   //------------------------------------------------------------------------
   private:
   //------------------------------------------------------------------------
   static const QString _class_name; //!< aktueller Klassenname

   //------------------------------------------------------------------------
   // features
   //------------------------------------------------------------------------
   public:
   //------------------------------------------------------------------------
   Cmenu_associated_classes (QWidget *parent);
   //!< Konstruktor

   //------------------------------------------------------------------------
   virtual ~Cmenu_associated_classes ();
   //!< Destruktor

   inline Cmenu_widget_action * menu_widget_action() {
       return _menu_widget_action;
   };
   //------------------------------------------------------------------------
   protected:
   //------------------------------------------------------------------------
   virtual bool create();
   //!< Menu erzeugen

   //------------------------------------------------------------------------
   private:
   //------------------------------------------------------------------------

   //------------------------------------------------------------------------
   
   //------------------------------------------------------------------------
   void tree_view_clicked(const QModelIndex & index);
   //!< Klick im TreeView abfangen
};

// end of Dmenu_associated_classes_h
#endif
