/////////////////////////////////////////////////////////////////////////////
//
//   Copyright (C) CADBAS GmbH   All rights reserved.
//
//   Name         $Author$
//   Last change  $Date$
//   Tag          $Name$
//   Repository   $Source$
//   Version      $Revision$
//
/////////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------
// System-Includes
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Qt-Includes
//---------------------------------------------------------------------------
#include <QHeaderView>
#include <QMouseEvent>
//---------------------------------------------------------------------------
// CADBAS-Includes
//---------------------------------------------------------------------------
#include <menu_multiple_columns_tree_view.hpp>

//---------------------------------------------------------------------------
// Defines 
//---------------------------------------------------------------------------

//===========================================================================
const QString Cmenu_multiple_columns_tree_view::_class_name = "Cmenu_multiple_columns_tree_view";

//---------------------------------------------------------------------------
// public features
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
Cmenu_multiple_columns_tree_view::Cmenu_multiple_columns_tree_view (QWidget *parent)
                                : QTreeView(parent)
{
    setStyleSheet("Border: 0");
} // Konstruktor


//---------------------------------------------------------------------------
Cmenu_multiple_columns_tree_view::~Cmenu_multiple_columns_tree_view ()
{
   
} // Destruktor
//---------------------------------------------------------------------------
void Cmenu_multiple_columns_tree_view::make()
{
    header()->hide();
    header()->setResizeContentsPrecision(-1);
    header()->setSectionResizeMode(QHeaderView::Fixed);
    
    setRootIsDecorated(false);
    setSortingEnabled(false);
    setAllColumnsShowFocus(true);
    setSelectionBehavior(QAbstractItemView::SelectRows);
    
    setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
    setVerticalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
}
//---------------------------------------------------------------------------
int Cmenu_multiple_columns_tree_view::row_height(const QModelIndex &index)
{
    return rowHeight(index);
}
//---------------------------------------------------------------------------
// protected features
//---------------------------------------------------------------------------
void Cmenu_multiple_columns_tree_view::mouseReleaseEvent(QMouseEvent * e)
{
    if (e->button() != Qt::LeftButton)
       e->ignore();

    QTreeView::mouseReleaseEvent(e);
}
//---------------------------------------------------------------------------
void Cmenu_multiple_columns_tree_view::showEvent(QShowEvent * e)
{
    clearSelection();
    
    repaint();
    
    QTreeView::showEvent(e);
}
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// private features
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------

// End of menu_multiple_columns_tree_view.cpp
