/////////////////////////////////////////////////////////////////////////////
//
//   Copyright (C) CADBAS GmbH   All rights reserved.
//
//   Name         $Author$
//   Last change  $Date$
//   Tag          $Name$
//   Repository   $Source$
//   Version      $Revision$
//
/////////////////////////////////////////////////////////////////////////////

#ifndef Dmenu_multiple_columns_tree_view_h
#define Dmenu_multiple_columns_tree_view_h

//---------------------------------------------------------------------------
// Qt-Includes
//---------------------------------------------------------------------------
#include <QString>
#include <QTreeView>

//---------------------------------------------------------------------------
// CADBAS-Includes
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Defines 
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// class-Statements 
//---------------------------------------------------------------------------

//===========================================================================
//! Treeview, der in einem Menue ueber WidgetAction benutzt werden kann.
/*! Dieser Treeview wird ueber eine WidgetAction in ein Menue eingefuegt.
    Wichtig hierbei ist, dass der rechte Mausklick blockiert wird, siehe
    mouseReleaseEvent
*/
//---------------------------------------------------------------------------
class Cmenu_multiple_columns_tree_view : public QTreeView
{
   //------------------------------------------------------------------------
   // variables
   //------------------------------------------------------------------------
   public:
   //------------------------------------------------------------------------

   //------------------------------------------------------------------------
   protected:
   //------------------------------------------------------------------------
   
   //------------------------------------------------------------------------
   private:
   //------------------------------------------------------------------------
   static const QString _class_name; //!< aktueller Klassenname

   //------------------------------------------------------------------------
   // features
   //------------------------------------------------------------------------
   public:
   //------------------------------------------------------------------------
   Cmenu_multiple_columns_tree_view (QWidget *parent = 0);
   //!< Konstruktor

   //------------------------------------------------------------------------
   virtual ~Cmenu_multiple_columns_tree_view ();
   //!< Destruktor

   //------------------------------------------------------------------------
   void make();
   //!< Initalisierungen
   
   int row_height(const QModelIndex &index);
   //!< Liefert die Zeilenhoehe anhand des Index
   
   //------------------------------------------------------------------------
   protected:
   //------------------------------------------------------------------------
   virtual void mouseReleaseEvent(QMouseEvent * e);
   
   virtual void showEvent(QShowEvent * e);


   //------------------------------------------------------------------------
   private:
   //------------------------------------------------------------------------



};

// end of Dmenu_multiple_columns_tree_view_h
#endif
