/////////////////////////////////////////////////////////////////////////////
//
//   Copyright (C) CADBAS GmbH   All rights reserved.
//
//   Name         $Author$
//   Last change  $Date$
//   Tag          $Name$
//   Repository   $Source$
//   Version      $Revision$
//
/////////////////////////////////////////////////////////////////////////////

#ifndef Dmenu_widget_action_h
#define Dmenu_widget_action_h

//---------------------------------------------------------------------------
// Qt-Includes
//---------------------------------------------------------------------------
#include <QWidgetAction>

//---------------------------------------------------------------------------
// CADBAS-Includes
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Defines
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// class-Statements
//---------------------------------------------------------------------------
class Cmenu_multiple_columns_tree_view;
//===========================================================================
//! Diese Klasse dient zum Einfuegen von einem TreeView in einem Menue
/*! Diese Klasse dient zum Einfuegen von einem TreeView in einem Menue.
*/
//---------------------------------------------------------------------------
class Cmenu_widget_action : public QWidgetAction
{
   //------------------------------------------------------------------------
   // variables
   //------------------------------------------------------------------------
   public:
   //------------------------------------------------------------------------

   //------------------------------------------------------------------------
   protected:
   //------------------------------------------------------------------------
   Cmenu_multiple_columns_tree_view *_tree_view;
   //!< View, in dem die Eintraege angezeigt werden


   //------------------------------------------------------------------------
   private:
   //------------------------------------------------------------------------
   static const QString _class_name; //!< aktueller Klassenname

   //------------------------------------------------------------------------
   // features
   //------------------------------------------------------------------------
   public:
   //------------------------------------------------------------------------
   Cmenu_widget_action (QWidget *parent);
   //!< Konstruktor

   //------------------------------------------------------------------------
   virtual ~Cmenu_widget_action ();
   //!< Destruktor

   //------------------------------------------------------------------------
   void make(const int &rows, const int &columns);
   //!< Treeview erzeugen

   //------------------------------------------------------------------------
   Cmenu_multiple_columns_tree_view * get_tree_view();
   //!< Liefert den TreeView

   //------------------------------------------------------------------------
   void resize_tree_view();
   //!< Spaltenbreiten und Groesse des Treeviews anpassen
   //------------------------------------------------------------------------
   protected:
   //------------------------------------------------------------------------

   //------------------------------------------------------------------------
   private:
   //------------------------------------------------------------------------



};

// end of Dmenu_widget_action_pe_h
#endif
